<?
require_once'home.php';

$q1 = @mysql_query( @"select  *  from  `forum_topic` where `id`='".$id."' ;" );
$topic = @mysql_fetch_array(@$q1);
if (mysql_affected_rows() == 0){
echo $fs1;
echo '<b>Такой темы не существует!</b>';
echo $fs2;
foot();
exit;
}
$f = $topic ['section'];
$sf = $topic ['subfor'];

$que = @mysql_query( "select * from  `forum_subfor` where id='$sf';" );
$dtm = @mysql_fetch_array( @$que );
$s_name = $dtm['name'];

$que = @mysql_query( "select * from  `forum_sections` where id='$f';" );
$dtm = @mysql_fetch_array( @$que );
$f_name = $dtm['name'];

echo '<dl><dt></dt></dl><a href="'.F.'">Форумы</a>|<a href="'.F.'subfs/'.$f.'">'.$f_name.'</a>';
echo '|<a href="'.F.'temes/'.$sf.'\">'.$s_name.'</a>|<a href="'.F.'tema/'.$id.'/'.$page.'">'.$topic ['name'].'</a><br /><dl><dt></dt></dl>';

if (($topic['login']!=$row['id'])&&($row['level']<5)){
echo '<b>У вас нет прав доступа сюда!</b><br /> ';
echo '<a href="'.htmlspecialchars(getenv("HTTP_REFERER")).'">Вернуться</a>';
foot();
exit;
}

$topic_vote = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_vote` WHERE `type`='1' AND `topic`='$id'"), 0);
if ($topic_vote != 1) {
echo '<b>В этой теме нет опроса!</b><br /> ';
echo '<a href="'.htmlspecialchars(getenv("HTTP_REFERER")).'">Вернуться</a>';
foot();
exit;
}
if (isset ($_GET['yes'])) {
mysql_query("DELETE FROM `forum_vote` WHERE `topic` = '$id'");
mysql_query("DELETE FROM `forum_vote_us` WHERE `topic` = '$id'");
mysql_query("UPDATE `forum_topic` SET  `realid` = '0'  WHERE `id` = '$id'");
echo 'Опрос удален<br /><a href="' . $_SESSION['prd'] . '">Продолжить</a>';
   header("Location: ".F."tema/$id/end");
}
else {
echo '<b>Вы действительно хотите удалить опрос?</b><br />';
echo '<a href="?yes">Удалить</a>|';
echo '<a href="' . htmlspecialchars(getenv("HTTP_REFERER")) . '">Отмена</a>';

}


?>